=== debian/control ===
Source: ros-indigo-camera-calibration
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.68), ros-indigo-rostest
Homepage: http://www.ros.org/wiki/camera_calibration
Standards-Version: 3.9.2

Package: ros-indigo-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-message-filters, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
